# frozen_string_literal: true

module Api
  module V1
    # API para sitios
    class SitesController < BaseController
      def index
        render json: Site.all.order(:name).pluck(:name)
      end

      # Detecta si se puede generar un certificado
      def allowed
        name = params[:domain].gsub(/\.#{Site.domain}\Z/, '')
        site = Site.find_by(name: name)

        if site
          head :ok
        else
          head :not_found
        end
      end
    end
  end
end
